#ifndef __STACK_H__
#define __STACK_H__

#include "library.h"

typedef delete_t stack_delete_t;

void *stack_new(stack_delete_t func);
void stack_delete(void *stack);
void stack_push(void *stack, void *data);
void *stack_pop(void *stack);
bool stack_isempty(void *stack);

#endif
