#ifndef __LIBRARY_H__
#define __LIBRARY_H__

#include "config.h"

typedef void (*delete_t)(void *);
typedef int (*compare_t)(void *, void *);

#define DEBUG

#ifdef DEBUG
#include <stdio.h>
#define DPRINTF(x) do { fprintf x ; fflush(stdout); } while(0)
#else
#define DPRINTF(x) do { } while(0)
#endif

typedef char bool;

#ifndef FALSE
#define FALSE (0)
#define TRUE (!FALSE)
#endif

#endif
